com.orsoncharts.label

## Enum ItemLabelPositioning

- java.lang.Object
- - java.lang.Enum<ItemLabelPositioning>
  - - com.orsoncharts.label.ItemLabelPositioning

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ItemLabelPositioning>

      public enum ItemLabelPositioning
      extends java.lang.Enum<ItemLabelPositioning>

  An enumeration of the item label positioning types.
  Since:
    1.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTRAL` A single label is placed centrally.
    `FRONT_AND_BACK` Labels are placed at the front and the back (typically only one of the two is visible at any time).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ItemLabelPositioning` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ItemLabelPositioning[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FRONT_AND_BACK

          public static final ItemLabelPositioning FRONT_AND_BACK

      Labels are placed at the front and the back (typically only one of the two is visible at any time).

    - #### CENTRAL

          public static final ItemLabelPositioning CENTRAL

      A single label is placed centrally.

  - ### Method Detail

    - #### values

          public static ItemLabelPositioning[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ItemLabelPositioning c : ItemLabelPositioning.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ItemLabelPositioning valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null